## qt6-tools 6.10.0

=== debian/changelog ===
qt6-tools (6.10.0-0zneon+24.04+noble+release+build71) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 17 Nov 2025 07:56:34 +0000

qt6-tools (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:34:35 +1000

qt6-tools (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

qt6-tools (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 28 Aug 2025 23:36:55 +1000

qt6-tools (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Wed, 09 Jul 2025 19:54:34 +1000

qt6-tools (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Wed, 30 Apr 2025 00:44:19 +1000

qt6-tools (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 23:28:30 +1000

qt6-tools (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 08:07:12 +1000

qt6-tools (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 04 Dec 2024 20:45:09 +1000

qt6-tools (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 21:21:22 +1000

qt6-tools (6.7.0-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 16 Feb 2024 17:50:57 +1000

qt6-tools (6.6.1-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 09 Dec 2023 10:51:18 +1000

qt6-tools (6.6.0-0neon) jammy; urgency=medium

  * New release

 -- Patrick Franz <deltaone@debian.org>  Mon, 03 Apr 2023 16:58:31 +0100

qt6-tools (6.4.2-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Force again build with clang-15.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Nov 2022 01:43:02 +0100

qt6-tools (6.4.2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Force build with clang-14.

 -- Patrick Franz <deltaone@debian.org>  Sat, 19 Nov 2022 01:30:15 +0100

qt6-tools (6.4.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Update ABI to 6.4.2.
  * Remove fix-build-with-clang-15.patch as it has been applied
    upstream.

 -- Patrick Franz <deltaone@debian.org>  Wed, 16 Nov 2022 19:46:41 +0100
