=== debian/control ===
Source: qt6-tools
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: clang,
               cmake,
               debhelper-compat (= 13),
               dh-exec,
               libclang-dev,
               libcurl4-openssl-dev | libcurl4-dev,
               libedit-dev,
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xkb-dev,
               libxkbcommon-dev,
               libzstd-dev (>= 1.3),
               llvm,
               llvm-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.10.1~),
               qt6-declarative-dev (>= 6.10.1~)
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-tools (>= 6.10~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-tools.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-tools
Maintainer: Neon CI <neon@kde.org>

Package: qt6-tools
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base, qt6-declarative, ${misc:Depends}, ${shlibs:Depends}
Provides: qt6-designer-private-abi (= 6.10.1),
          qt6-help-private-abi (= 6.10.1),
          qt6-uitools-private-abi (= 6.10.1)
Breaks: qt6-tools-dev (<< 6.9.0~)
Replaces: assistant-qt6,
          designer-qt6,
          designer-qt6-plugins,
          libqt6designer6,
          libqt6designercomponents6,
          libqt6help6,
          libqt6uitools6,
          linguist-qt6,
          qdbus-qt6,
          qt6-dev-tools,
          qt6-documentation-tools,
          qt6-l10n-tools
Description: Qt 6 Designer library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtDesigner library provides classes that allow you to create your own
 custom widget plugins for Qt Designer, and classes that enable you to access
 Qt Designer's components.

Package: qt6-tools-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-declarative-dev,
         qt6-tools (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qt6-tools-dev-tools (<< 6.3.1~)
Replaces: qt6-tools-doc-dev, qt6-tools-doc-examples, qt6-tools-private-dev
Description: Qt 6 Tools - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications.

Package: qt6-tools-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc, qt6-tools-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-tools-doc-html
Description: Qt 6 Tools - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation files used to help build Qt 6
 applications.

Package: libqt6designer6
Architecture: all
Depends: qt6-tools, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6designercomponents6
Architecture: all
Depends: qt6-tools, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6help6
Architecture: all
Depends: qt6-tools, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6uitools6
Architecture: all
Depends: qt6-tools, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: assistant-qt6
Architecture: all
Depends: qt6-tools, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: designer-qt6
Architecture: all
Depends: qt6-tools, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: designer-qt6-plugins
Architecture: all
Depends: qt6-tools, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: linguist-qt6
Architecture: all
Depends: qt6-tools, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qdbus-qt6
Architecture: all
Depends: qt6-tools, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-documentation-tools
Architecture: all
Depends: qt6-tools-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-l10n-tools
Architecture: all
Depends: qt6-tools, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-tools-private-dev
Architecture: all
Depends: qt6-tools-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-tools-dev-tools
Architecture: all
Depends: qt6-tools-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-tools-doc-dev
Architecture: all
Depends: qt6-tools-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-tools-doc-html
Architecture: all
Depends: qt6-tools-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-tools-examples
Architecture: all
Depends: qt6-tools-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
