=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,6 @@
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
 		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
 		-DINSTALL_PUBLICBINDIR=/usr/bin \
-		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
 		-DQT_UNITY_BUILD=ON \
 		$(extra_cmake_args)
